Name:          wireless-regdb
Version:       2025.02.20
Release:       1mamba
Summary:       Wireless Central Regulatory Domain Database
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wireless.docs.kernel.org/en/latest/en/developers/regulatory/wireless-regdb.html
Source:        https://www.kernel.org/pub/software/network/wireless-regdb/wireless-regdb-%{version}.tar.xz
Source1:       wireless-regdb-setregdomain
Source2:       wireless-regdb-85-regulatory.rules
Source3:       wireless-regdb-setregdomain.1
License:       BSD
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      iw
Provides:      crda
Obsoletes:     crda <= 4.14-4mamba
Obsoletes:     crda-devel <= 4.14-4mamba

%description
Wireless Central Regulatory Domain Database.

%prep
%setup -q

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
	FIRMWARE_PATH=%{_prefix}/lib/firmware

install -D -pm 0755 %{SOURCE1} %{buildroot}%{_bindir}/setregdomain
install -D -pm 0644 %{SOURCE2} %{buildroot}%{_udevrulesdir}/85-regulatory.rules
install -D -pm 0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/setregdomain.1

rm -rf %{buildroot}/usr/lib/crda

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_udevrulesdir}/85-regulatory.rules
%{_bindir}/setregdomain
%{_prefix}/lib/firmware/regulatory.db
%{_prefix}/lib/firmware/regulatory.db.p7s
%{_mandir}/man1/setregdomain.1*
%{_mandir}/man5/regulatory.bin.5*
%{_mandir}/man5/regulatory.db.5*
%doc LICENSE README

%changelog
* Sun Feb 23 2025 Automatic Build System <autodist@openmamba.org> 2025.02.20-1mamba
- automatic version update by autodist

* Sat Oct 12 2024 Automatic Build System <autodist@openmamba.org> 2024.10.07-1mamba
- automatic version update by autodist

* Sat Jul 06 2024 Automatic Build System <autodist@openmamba.org> 2024.07.04-1mamba
- automatic version update by autodist

* Fri May 10 2024 Automatic Build System <autodist@openmamba.org> 2024.05.08-1mamba
- automatic version update by autodist

* Thu Feb 01 2024 Automatic Build System <autodist@openmamba.org> 2024.01.23-1mamba
- automatic version update by autodist

* Tue Jan 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.09.01-3mamba
- require iw

* Mon Jan 15 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.09.01-2mamba
- install setregdomain and udev rules (taken from Fedora), obsolete crda

* Sun Sep 03 2023 Automatic Build System <autodist@mambasoft.it> 2023.09.01-1mamba
- automatic version update by autodist

* Sat May 06 2023 Automatic Build System <autodist@mambasoft.it> 2023.05.03-1mamba
- automatic version update by autodist

* Tue Feb 14 2023 Automatic Build System <autodist@mambasoft.it> 2023.02.13-1mamba
- automatic version update by autodist

* Sun Aug 14 2022 Automatic Build System <autodist@mambasoft.it> 2022.08.12-1mamba
- automatic version update by autodist

* Tue Jun 07 2022 Automatic Build System <autodist@mambasoft.it> 2022.06.06-1mamba
- automatic version update by autodist

* Sat Apr 09 2022 Automatic Build System <autodist@mambasoft.it> 2022.04.08-1mamba
- automatic version update by autodist

* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 2022.02.18-1mamba
- automatic version update by autodist

* Sun Aug 29 2021 Automatic Build System <autodist@mambasoft.it> 2021.08.28-1mamba
- automatic version update by autodist

* Thu Jul 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2021.07.14-1mamba
- update to 2021.07.14

* Fri Apr 30 2021 Automatic Build System <autodist@mambasoft.it> 2021.04.21-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 2020.11.20-1mamba
- automatic version update by autodist

* Mon Jul 06 2020 Automatic Build System <autodist@mambasoft.it> 2020.04.29-1mamba
- automatic version update by autodist

* Thu Sep 26 2019 Automatic Build System <autodist@mambasoft.it> 2019.06.03-1mamba
- automatic version update by autodist

* Thu Apr 18 2019 Automatic Build System <autodist@mambasoft.it> 2019.03.01-1mamba
- automatic version update by autodist

* Thu Nov 22 2018 Automatic Build System <autodist@mambasoft.it> 2018.10.24-1mamba
- automatic version update by autodist

* Sun Aug 05 2018 Automatic Build System <autodist@mambasoft.it> 2018.05.31-1mamba
- automatic version update by autodist

* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 2017.03.07-1mamba
- automatic update by autodist

* Sat Sep 10 2016 Automatic Build System <autodist@mambasoft.it> 2016.06.10-1mamba
- automatic version update by autodist

* Sun Jul 17 2016 Automatic Build System <autodist@mambasoft.it> 2016.05.02-1mamba
- automatic version update by autodist

* Fri Feb 05 2016 Automatic Build System <autodist@mambasoft.it> 2015.12.14-1mamba
- automatic update by autodist

* Sun Aug 16 2015 Automatic Build System <autodist@mambasoft.it> 2015.07.20-1mamba
- automatic version update by autodist

* Sat May 23 2015 Automatic Build System <autodist@mambasoft.it> 2015.05.15-1mamba
- automatic update by autodist

* Fri May 08 2015 Automatic Build System <autodist@mambasoft.it> 2015.04.06-1mamba
- automatic update by autodist

* Thu Mar 26 2015 Automatic Build System <autodist@mambasoft.it> 2015.03.13-1mamba
- automatic update by autodist

* Sun Feb 15 2015 Automatic Build System <autodist@mambasoft.it> 2015.01.30-1mamba
- automatic version update by autodist

* Fri Nov 21 2014 Automatic Build System <autodist@mambasoft.it> 2014.11.18-1mamba
- automatic update by autodist

* Sat Oct 18 2014 Automatic Build System <autodist@mambasoft.it> 2014.10.07-1mamba
- automatic update by autodist

* Sun Jul 20 2014 Automatic Build System <autodist@mambasoft.it> 2014.06.13-1mamba
- automatic update by autodist

* Fri Jul 04 2014 Automatic Build System <autodist@mambasoft.it> 2014.06.02-1mamba
- automatic version update by autodist

* Mon Jun 02 2014 Automatic Build System <autodist@mambasoft.it> 2014.05.29-1mamba
- automatic update by autodist

* Sat Jan 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2013.11.27-1mamba
- update to 2013.11.27

* Mon Jan 21 2013 Automatic Build System <autodist@mambasoft.it> 2013.01.11-1mamba
- automatic version update by autodist

* Wed Sep 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2011.04.28-1mamba
- package created by autospec
